package com.ruoyi.common.zqt;

import java.util.ArrayList;
import java.util.List;

/**
 * ZQT的treenode 原样抄过来的
 */
public class ZQTreeNode {
    /**
     * 节点id
     */
    private String id;

    /**
     * 名称
     */
    private String name;
    /**
     * 编码
     */
    private String code;
    private String level;
    /**
     * 父级id
     */
    private String parentId;


    /**
     * 子节点
     */
    private List<ZQTreeNode> child = new ArrayList();

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public List<ZQTreeNode> getChild() {
        return child;
    }

    public void setChild(List<ZQTreeNode> child) {
        this.child = child;
    }
}
